com.unitech.lib.engine.types

## Enum BarcodeID.BarcodeType

- java.lang.Object
- - java.lang.Enum<BarcodeID.BarcodeType>
  - - com.unitech.lib.engine.types.BarcodeID.BarcodeType

- All Implemented Interfaces:
    Serializable, Comparable<BarcodeID.BarcodeType>
  Enclosing class:
    BarcodeID

      public static enum BarcodeID.BarcodeType
      extends Enum<BarcodeID.BarcodeType>

  The BarcodeType enum represents categories of barcode types. Each category is associated with a unique byte value and a descriptive string message. The enum also provides methods to get the byte value and string message of a category, and to get a category from its byte value.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `oneDimensional`
    `postal`
    `twoDimensional`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BarcodeID.BarcodeType` | `fromValue(byte value)` Gets a category from its byte value.
    `byte` | `getCode()` Gets the byte value of the category.
    `String` | `toString()` Returns the string message of the category.
    `byte` | `value()` Gets the byte value of the category.
    `static BarcodeID.BarcodeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BarcodeID.BarcodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### oneDimensional

          public static final BarcodeID.BarcodeType oneDimensional

    - #### twoDimensional

          public static final BarcodeID.BarcodeType twoDimensional

    - #### postal

          public static final BarcodeID.BarcodeType postal

  - ### Method Detail

    - #### values

          public static BarcodeID.BarcodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BarcodeID.BarcodeType c : BarcodeID.BarcodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BarcodeID.BarcodeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public byte value()

      Gets the byte value of the category.
      Returns:
        The byte value of the category.

    - #### getCode

          public byte getCode()

      Gets the byte value of the category.
      Returns:
        The byte value of the category.

    - #### toString

          public String toString()

      Returns the string message of the category.
      Overrides:
        `toString` in class `Enum<BarcodeID.BarcodeType>`
      Returns:
        The string message of the category.

    - #### fromValue

          public static BarcodeID.BarcodeType fromValue(byte value)
                                                 throws IllegalArgumentException

      Gets a category from its byte value.
      Parameters:
        `value` - The byte value of the category.
      Returns:
        The category associated with the byte value.
      Throws:
        `IllegalArgumentException` - If the byte value does not correspond to any category.